#ifndef mystring_h__
#define mystring_h__

#include "list.h"

#ifdef __cplusplus
extern "C" {
#endif



const char *str_find_char_right(const char *s, char c);
const char *str_find_char_right_p(const char *s,const char *const p, char c);
const char *str_find_char_left(const char *const p,const char *s, char c);
int str_ahextoi(const char *s);
int str_atoi(const char *s);
float str_atof(const char *s);
int str_len(const char *s);
int str_cpystr(char *s1, const char *s2, char c);
list_def *str_split(const char *s,char c);/*temp_ptr*/
list_def *str_atod_list(const char *s, char c);/*temp_ptr*/
char *str_simplified(const char *str);/*temp_ptr*/
char *str_duplicate(char *p);
int str_is_print_str(const char *str,int len);





#define str_set(p,str)    _str_set(&p,str)
#define str_temp(p)       tappend(p,0)


void _str_set(char **p,const char *str);


#ifdef __cplusplus
}
#endif










#endif

